package com.diagbot.vo.str;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 会诊结果单
 * </p>
 *
 * @author cy
 * @since 2020-10-09
 */
@Data
public class StrConsultationResultVO{

    @ApiModelProperty(value = "记录编号")
    private String recId;

    @ApiModelProperty(value = "医院ID")
    private Long hospitalId;

    @ApiModelProperty(value = "病历号")
    private String behospitalCode;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "年龄")
    private String age;

    @ApiModelProperty(value = "床号")
    private String bedNo;

    @ApiModelProperty(value = "科别")
    private String deptName;

    @ApiModelProperty(value = "病历日期")
    private String recordDate;

    @ApiModelProperty(value = "标题")
    private String recTitle;

    @ApiModelProperty(value = "入院日期")
    private String behospitalDate;

    @ApiModelProperty(value = "申请科室")
    private String applyDept;

    @ApiModelProperty(value = "申请医生")
    private String applyDoctor;

    @ApiModelProperty(value = "申请日期")
    private String applyDate;

    @ApiModelProperty(value = "会诊类别")
    private String inviteType;

    @ApiModelProperty(value = "会诊科室")
    private String inviteDept;

    @ApiModelProperty(value = "会诊医生")
    private String inviteDoctor;

    @ApiModelProperty(value = "当前诊断")
    private String currentDiagnosis;

    @ApiModelProperty(value = "会诊目的")
    private String consultationPurpose;

    @ApiModelProperty(value = "会诊意见")
    private String consultationOpinions;

    @ApiModelProperty(value = "会诊到达时间")
    private String consultationArriveDate;

    @ApiModelProperty(value = "记录医生")
    private String recDoctor;

    @ApiModelProperty(value = "记录时间")
    private String recDate;

    @ApiModelProperty(value = "审核医生")
    private String auditDoctor;

    @ApiModelProperty(value = "审核时间")
    private String auditDate;

    @ApiModelProperty(value = "结构化数据")
    private String wholeData;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "是否删除")
    private String isDeleted;

    @ApiModelProperty(value = "记录创建时间")
    private String gmtCreate;

    @ApiModelProperty(value = "记录修改时间")
    private String gmtModified;

    @ApiModelProperty(value = "创建人")
    private String creator;

    @ApiModelProperty(value = "修改人")
    private String modifier;

    @ApiModelProperty(value = "注意事项")
    private String note;

}
